import { jsx } from "react/jsx-runtime";
import { TokenHIVE as TokenHIVE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHIVE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "HIVE", "data-name": "TokenHIVE", ...props, children: /* @__PURE__ */ jsx(TokenHIVE$1, { variant }) });
  }
);
TokenHIVE.displayName = "TokenHIVE";
Object.assign(TokenHIVE, { isGdsIcon: true });
export {
  TokenHIVE
};
